// filepath: c:\Users\amaizy\Desktop\cvgen\routes\api.routes.js

const express = require("express");
const router = express.Router();
const {
  authenticateUser,
  handleCallback,
  getUserProfile,
} = require("../controllers/linkedin");

// Route for LinkedIn authentication
router.get("/auth/linkedin", authenticateUser);

// Callback route for LinkedIn OAuth2
router.get("/auth/linkedin/callback", handleCallback);

// Route for fetching user profile information
router.get("/profile", getUserProfile);

module.exports = router;
